#### FILE PATH ####
DATE=0110
TYPE="grey"
SEED_lst=(42 142 242)
EVAL_ROOT_DIR="/data/linxi/workspace/LLaVA/answers/answer_${TYPE}_${DATE}"

### EVALUATION ####
for SEED in "${SEED_lst[@]}"
do
    echo "Running $MODEL_VERSION inference with cfg = $cfg, seed = $SEED, batch_size = $BATCH_SIZE"
    EVAL_DIR0="${EVAL_ROOT_DIR}/answer_${DATE}_${SEED}"
    echo $EVAL_DIR0

    python /data/linxi/workspace/POPE/chair/format.py \
    --answer_dir $EVAL_DIR0 \

    python /data/linxi/workspace/POPE/chair/chair.py \
    --answer_dir $EVAL_DIR0 \
    --answer_file "" \
    --save_dir $EVAL_DIR0/eval \
    --eval_dir $EVAL_DIR0 \
    --model "llava"
done

SEED=${SEED_lst[0]}
EVAL_DIR0="${EVAL_ROOT_DIR}/answer_${DATE}_${SEED}"

python /data/linxi/workspace/POPE/chair/draw_plot.py \
--save_dir $EVAL_DIR0 \
--result_file eval/eval.json \
--duplicate
